Bug 135548 - Please include CIFS support in RHEL 3.0 kernel
Please include CIFS support in RHEL 3.0 kernel
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: dff
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-10-13 08:50 EDT by John Airey
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Airey 2004-10-13 08:50:57 EDT
From Bugzilla Helper:
User-Agent: Classified!

Description of problem:
Red Hat have stated that they will support Red Hat Enterprise Linux 
3.0 until October 31st 2008.

However, many organisations (including my own) are currently 
replacing Windows NT4.0 servers with Windows 2003 servers. Shares on 
these machines are not accessible via the smbfs, but are accessible 
via the cifs module. Therefore cifs support needs to be built into 
the kernel.

I have created my own kernel rpm that includes CIFS support (and no 
other changes). I'm willing to attach a copy if that helps.

Note that this uses version 1.20c and not the 1.0.2b that is stated 
on the above site at present.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Red Hat Enterprise Linux 3.0
2. Try to connect to a Windows 2003 share

Actual Results:  cli_negprot: SMB signing is mandatory and we have 
disabled it.
10312: protocol negotiation failed
SMB connection failed

Expected Results:  A mounted share like 

//server/share on /mnt/server/share type cifs (rw,mand)

Additional info:

This not just an enhancement, it's vital for business that are using 
Linux to connect to Windows shares.
Comment 3 Some One 2005-02-10 16:03:42 EST

Same issue in our business. RedHat should provide workaround if no
kernel module will be available.
Comment 4 Suzanne Hillman 2005-03-31 16:04:00 EST
There is a potential workaround mentioned at
http://www.w00tlinux.com/bb/sutra256692.html - see the first reply to the query.
Comment 5 John Airey 2005-04-05 06:21:51 EDT
The workaround isn't really acceptable if you care about the security of your
data. In the UK many organisations are expected to take all necessary steps to
secure their data, under the 1998 Data Protection Act. Disabling security is
therefore not an option.

At the moment I'm recompiling the kernel to include the CIFS module. Since this
is a module that you can either have running or not, I can't see how this would
affect any current usage of the kernel. I'm well aware of the reasons for
backporting security updates as it avoids breaking existing vendors software,
but I don't think this applies in this case. Can you say otherwise?

I can see that this module is included in the 2.6 kernel, and I do think that
this is one of the 2.6 features that should be put into 2.4. I'm already using 
it, and it works great!

Comment 6 RHEL Product and Program Management 2007-10-19 15:16:06 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.